<?php


// Determine what locale to use
switch (PHP_OS)
{
    case 'WINNT':
    case 'WIN32':
        $locale = 'tatar';
        break;

    case 'FreeBSD':
    case 'NetBSD':
    case 'OpenBSD':
        $locale = 'tt_RU.UTF-8';
        break;

    default:
        $locale = 'tt_RU';
        break;
}

// Attempt to set the locale
setlocale(LC_CTYPE, $locale);


// Language definitions for frequently used strings
$lang_common = array(

// Text orientation and encoding
'lang_direction'        =>    'ltr',    // ltr (Left-To-Right) or rtl (Right-To-Left)
'lang_encoding'            =>    'utf-8',
'lang_multibyte'        =>    true,

// Notices
'Bad request'            =>    'Ялгыш бит сорадыгыз. Сезне җибәргән күчке дөрес түгел йәисә искергән.',
'No view'                =>    'Бу форумнарны карарга сезнең хакыгыз юк.',
'No permission'            =>    'Бу биткә керергә хакыгыз юк.',
'Bad referrer'            =>    'HTTP_REFERER дөрес түгел. Сез бу биткә тикшерелмәгән биттән килгәнсез. Кире кайтып, тагы бер тапкыр күчеп карагызчы. Проблема бетмәсә, зинһар, Идарә/Үзлекләрдә \'нигез URL\' дөрес куелуын һәм бу форумга шул URL буйынча килүегезне тикшерегез',

// Topic/forum indicators
'New icon'                =>    'Яңа хәбәрләр бар',
'Normal icon'            =>    '<!-- -->',
'Closed icon'            =>    'Бу сөйләшү ябык',
'Redirect icon'            =>    'Ул форум күчерелгән',

// Miscellaneous
'Announcement'            =>    'Игълан',
'Options'                =>    'Үзлекләр',
'Actions'                =>    'Эшләр',
'Submit'                =>    'Җибәрү',    // "name" of submit buttons
'Ban message'            =>    'Сез бу форумда "кара" исемлектә (тыелган).',
'Ban message 2'            =>    'Сезне тыю вакыты бетеп килә',
'Ban message 3'            =>    'Сезне тыйган администратор йә модератор бу хәбәрне калдырды:',
'Ban message 4'            =>    'Сорауларыгыз булса, администраторга мөрәҗәгать итә аласыз',
'Never'                    =>    'Бер кайчан да түгел',
'Today'                    =>    'бүген',
'Yesterday'                =>    'кичә',
'Info'                    =>    'Мәгълүмат',        // a common table header
'Go back'                =>    'Кире кайт',
'Maintenance'            =>    'Сервис',
'Redirecting'            =>    'Бүтән адреска күчерү',
'Click redirect'        =>    'Көтеп торасыгыз килмәсә, монда төртегез (йә браузерыгыз сезне автоматик рәвештә күчермәсә)',
'on'                    =>    'ялгаган',        // as in "BBCode is on"
'off'                    =>    'ычкындырылган',
'Invalid e-mail'        =>    'сез күрсәткән E-mail адрес дөрес түгел',
'required field'        =>    'бу йазу урыны буш калырга тиеш түгел',    // for javascript form validation
'Last post'                =>    'Ахыргы әйтелгән сүз',
'by'                    =>    'язды:',    // as in last post by someuser
'New posts'                =>    'сез&nbsp;укымаган&nbsp;сүзләр',    // the link that leads to the first new post (use &nbsp; for spaces)
'New posts info'        =>    'Бу сөйләшүдәге беренче яңа хәбәргә күчү.',
  // the popup text for new posts links
'Username'                =>    'Исеме',
'Password'                =>    'Сер сүзе',
'E-mail'                =>    'E-mail ы',
'Send e-mail'            =>    'E-mail җибәрү',
'Moderated by'            =>    'Модераторлары:',
'Registered'            =>    'Теркәлгән',
'Subject'                =>    'Темасы',
'Message'                =>    'Хәбәр',
'Topic'                    =>    'Сөйләшү',
'Forum'                    =>    'Форум',
'Posts'                    =>    'Сүз саны',
'Replies'                =>    'Җавап саны',
'Author'                =>    'Авторы:',
'Pages'                    =>    'Бит саны',
'BBCode'                =>    'BBCode',    // You probably shouldn't change this
'img tag'                =>    '[img] тэгы',
'Smilies'                =>    'Чырайлар',
'and'                    =>    'һәм',
'Image link'            =>    'рәсем',    // This is displayed (i.e. <image>) instead of images when "Show images" is disabled in the profile
'wrote'                    =>    'әйтте',    // For [ quote]'s
'Code'                    =>    'Код',        // For [ code]'s
'Mailer'                =>    'Почта роботы',    // As in "MyForums Mailer" in the signature of outgoing e-mails
'Important information'    =>    'Мөһим мәгълүмат',
'Write message legend'    =>    'Хәбәрегезне языгыз да "җибәр"гә төртегез',

// Title
'Title'                    =>    'Дәрәҗәсе',
'Member'                =>    'Катнашучы',    // Default title
'Moderator'                =>    'Модератор',
'Administrator'            =>    'Администратор',
'Banned'                =>    'Тыелган',
'Guest'                    =>    'Кунак',

// Stuff for include/parser.php
'BBCode error'            =>    'Хәбәрдәге BBCode тэглары кагыйдәгә туры килми.',
'BBCode error 1'        =>    'Бер [ / quote] өчен башлап җибәрүче тэгы җитми.',
'BBCode error 2'        =>    'Бер [ code] өчен тәмамлап куйучы тэг җитми.',
'BBCode error 3'        =>    'Бер [ / code] өчен башлап җибәрүче тэгы җитми.',
'BBCode error 4'        =>    '[ quote] өчен бер йә күбрәк тәмамлап куйучы тэг җитми.',
'BBCode error 5'        =>    '[ / quote] өчен бер йә күбрәк башлап җибәрүче тэг җитми.',

// Stuff for the navigator (top of every page)
'Index'                    =>    'Форум алды',
'User list'                =>    'Кулланучылар',
'Rules'                    =>  'Кагыйдәләр',
'Search'                =>  'Эзләү',
'Register'                =>  'Теркәлү',
'Login'                    =>  'Керү',
'Not logged in'            =>  'Сез кермәгән.',
'Profile'                =>    'Профиль',
'Logout'                =>    'Чыгу',
'Logged in as'            =>    'Бу исем белән кергәнсез:',
'Admin'                    =>    'Идарә итү',
'Last visit'            =>    'Соңгы керүегез',
'Show new posts'        =>    'Соңгы керүегездән соңгы, яңа хәбәрләрне күрсәтү',
'Mark all as read'        =>    'Барча форумнарны "укылган" дип тамгаларга',
'Link separator'        =>    '',    // The text that separates links in the navigator

// Stuff for the page footer
'Board footer'            =>    'Форум битләренең аскы өлеше',
'Search links'            =>    'Күчке эзләү',
'Show recent posts'        =>    'Соңгы хәбәрләрне күрсәтү',
'Show unanswered posts'    =>    'Җавапсыз хәбәрләрне күрсәтү',
'Show your posts'        =>    'Сезнең хәбәрләрегезне күрсәтү',
'Show subscriptions'    =>    'Сез яңа хәбәрләре турында хат алырга язылган сөйләшүләрне күрсәтү',
'Jump to'                =>    'Моңа күчү:',
'Go'                    =>    ' күч!',        // submit button in forum jump
'Move topic'            =>  'Сөйләшүне күчерү',
'Open topic'            =>  'Бу сөйләшүне ач',
'Close topic'            =>  'Бу сөйләшүне йап',
'Unstick topic'            =>  'Сөйләшүне ычкындырып җибәр',
'Stick topic'            =>  'Сөйләшүне иң өсттә торсынга эләктереп куйу',
'Moderate forum'        =>    'Форумны модерацияләү-"көтү"',
'Delete posts'            =>    'Ул хәбәрләрне бетерү',
'Debug table'            =>    'Дөрес эшләүне сынау мәгълүматы',

// For extern.php RSS feed
'RSS Desc Active'        =>    'Иң соңгы актив сөйләшүләре бу бүлекнең:',    // board_title will be appended to this string
'RSS Desc New'            =>    'Иң соңгы сөйләшүләре бу бүлекнең:',                    // board_title will be appended to this string
'Posted'                =>    'Башланган'    // The date/time a topic was started

);
